Results 1 to 5 of 5

Thread: Changing the default ExtJS used by SA 4.2.6

  1. #1
    Sencha Premium Member
    Join Date
    Mar 2012
    Posts
    86

    Default Changing the default ExtJS used by SA 4.2.6

    How do I change the default ExtJS version SA uses? I want to add ExtJS 7 to SA 4.2.6 as the default version.

  2. #2

    Default extjs 7

    Have you figured out a way to use extjs 7.0 modern with the current version of architect? Asking because I really need the drag and drop functionality in 7.0 modern but thought there was no way to make that happen with the current release of Architect.

    Any info appreciated.

    Erik

  3. #3
    Sencha Premium Member
    Join Date
    Dec 2015
    Posts
    16

    Default

    Quote Originally Posted by ErikJAX View Post
    Have you figured out a way to use extjs 7.0 modern with the current version of architect? Asking because I really need the drag and drop functionality in 7.0 modern but thought there was no way to make that happen with the current release of Architect.

    Any info appreciated.

    Erik
    below is the response from the support portal when I asked about upgrading Architect to use extjs 7.0:

    You can update your application either via Sencha Architect or the CLI Check out the following video starting @ ~3:30.
    https://www.youtube.com/watch?v=fL6jkO0y754

    Please note this will not update the framework version in your applications ('About Sencha Architect' window).
    As a result the user will not have access to the 7.0.0 toolbox of components.

    To fix this, change the framework in {your_app_name}.xds file to:

    "framework": "ext70",

  4. #4
    Sencha Premium User dawesi's Avatar
    Join Date
    Mar 2007
    Location
    Melbourne, Australia (aka GMT+10)
    Posts
    1,255
    Answers
    27

    Default

    Extjs &.7.0 modern and classic are available in my version of Architect. 4.2.6..

    There's no reason drag and drop for grids shouldn't be possible in Architect... they are in the component selector for me when i create a new grid project?
    Cloud Application Architect

    Sencha Specialist / Sencha MVP / Sencha Technical Trainer
    ExtJs Developer + Contributor since 0.2.2 - Champion of the per developer license.

  5. #5

    Default Modern Tree

    Quote Originally Posted by dawesi View Post
    Extjs &.7.0 modern and classic are available in my version of Architect. 4.2.6..

    There's no reason drag and drop for grids shouldn't be possible in Architect... they are in the component selector for me when i create a new grid project?

    I am attempting to implement drag and drop on a modern app tree, step one was to get to the 7.0 framework.

    Now I have to implement the plugin.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •